> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://en.megaport.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://en.megaport.ferndocs.com/_mcp/server.

# VXC Price (v3)

GET https://api.megaport.com/v3/pricebook/vxc

Returns the price for a VXC based on configuration parameters.

If you specify the optional `productUid` parameter, the API doesn't require any other parameters and returns the price for the specific VXC.

Pricing information is contained in a number of fields.

Be aware that the following fields DO NOT include the term discount:

* `aEndRate`

* `bEndRate`

* `mbpsRate`

* `fixedRecurringCharge`

The following field DOES include the term discount:

* `monthlyRate`

These fields show further pricing information:

* `monthlyRackRate` - returns the Month to Month / No Minimum Term Rate (BigDecimal)

* `discounts` - a list of DiscountedAmount object.

  * DiscountedAmount - has two parameters.

    * `discountReason`: The reason for the discount. Usually, Term.

    * `amount`: the fixed term discount amount (BigDecimal)

`termSpeed` is returned in the following APIs:

* GET Product Details v2/product/\{\{productUid}}

* GET Product List v2/products

Reference: https://en.megaport.ferndocs.com/api-reference/pricing/vxc-price-v-3

## Servers

- `https://api.megaport.com` (Production environment, default)
- `https://api-staging.megaport.com` (Staging environment (test only, reset every 24 hours))

## Request

### Query parameters

- `aLocationId` (string, optional) — A-End location. (Required - integer)
- `speed` (string, optional) — VXC speed in Mbps. (Required - integer)
- `bLocationId` (string, optional) — B-End location. (Required - integer)
- `connectType` (string, optional) — Type of connection for the VXC. If you specify DEFAULT, the API determines the connectType from the endpoints. If you specify TRANSIT, the request will list Megaport Internet pricing. You can also specify any of these values for cloud providers: AWS, AWSHC, AZURE, ALIBABA, GOOGLE, IBM, and SFDC. Specify FRANCEIX if your VXC is connecting to France-IX. (Required - string)
- `productUid` (string, optional) — The unique identifier for an existing VXC. (Optional - string)
- `companyId` (string, optional) — ID of the company purchasing this Megaport Internet connection.
- `aEndProductType` (string, optional) — A-End service connected to this Megaport Internet connection.
- `buyoutPort` (string, optional) — Indicates whether the A-End port is marked as buyout. Defaults to false and unlikely you need to change this. (Required - Boolean)
- `currency` (string, optional) — The ISO-4217 currency code to use for pricing. For example, the US dollar is USD.

## Response

### 200

VXC Price / VXC Price / Megaport Internet Price (v3) / Megaport Internet Price (v3)

- `data` (V3PricebookVxcGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V3PricebookVxcGetResponsesContentApplicationJsonSchemaData

- `aEndRate` (double, optional)
- `bEndRate` (double, optional)
- `currency` (string, optional)
- `dailyRate` (double, optional)
- `dailySetup` (double, optional)
- `discounts` (list of any, optional)
- `empty` (boolean, optional)
- `fixedRecurringCharge` (double, optional)
- `hourlyRate` (double, optional)
- `hourlySetup` (double, optional)
- `key` (string, optional)
- `longHaulMbpsRate` (double, optional)
- `mbpsRate` (double, optional)
- `monthlyRackRate` (double, optional)
- `monthlyRate` (double, optional)
- `monthlySetup` (double, optional)
- `postPaidBaseRate` (string, optional)
- `productType` (string, optional)

## Examples

### Megaport Internet Price (v3)

**Response**

```json
{
  "data": {
    "aEndRate": 0,
    "bEndRate": 0,
    "currency": "AUD",
    "dailyRate": 0,
    "dailySetup": 0,
    "empty": false,
    "fixedRecurringCharge": 0,
    "hourlyRate": 0,
    "hourlySetup": 0,
    "key": "no key",
    "longHaulMbpsRate": 200,
    "mbpsRate": 200,
    "monthlyRate": 200,
    "monthlySetup": 0,
    "postPaidBaseRate": "no base rate",
    "productType": "VXC"
  },
  "message": "VXC charges for new orders",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python Megaport Internet Price (v3)
import requests

url = "https://api.megaport.com/v3/pricebook/vxc"

response = requests.get(url)

print(response.json())
```

```javascript Megaport Internet Price (v3)
const url = 'https://api.megaport.com/v3/pricebook/vxc';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Megaport Internet Price (v3)
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/pricebook/vxc"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Megaport Internet Price (v3)
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/pricebook/vxc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Megaport Internet Price (v3)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/pricebook/vxc")
  .asString();
```

```php Megaport Internet Price (v3)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/pricebook/vxc');

echo $response->getBody();
```

```csharp Megaport Internet Price (v3)
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/pricebook/vxc");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Megaport Internet Price (v3)
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/pricebook/vxc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### VXC Price

**Response**

```json
{
  "data": {
    "aEndRate": 0,
    "bEndRate": 0,
    "currency": "AUD",
    "dailyRate": 0,
    "dailySetup": 0,
    "discounts": [],
    "empty": false,
    "fixedRecurringCharge": 100,
    "hourlyRate": 0,
    "hourlySetup": 0,
    "key": "no key",
    "longHaulMbpsRate": 8.88,
    "mbpsRate": 8.88,
    "monthlyRackRate": 277.6,
    "monthlyRate": 277.6,
    "monthlySetup": 0,
    "postPaidBaseRate": "no base rate",
    "productType": "VXC"
  },
  "message": "VXC Charges for product [9b4a4652-1bd8-4aca-88e1-f2208c6dfab5]",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python VXC Price
import requests

url = "https://api.megaport.com/v3/pricebook/vxc"

response = requests.get(url)

print(response.json())
```

```javascript VXC Price
const url = 'https://api.megaport.com/v3/pricebook/vxc';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go VXC Price
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v3/pricebook/vxc"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby VXC Price
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v3/pricebook/vxc")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java VXC Price
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v3/pricebook/vxc")
  .asString();
```

```php VXC Price
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v3/pricebook/vxc');

echo $response->getBody();
```

```csharp VXC Price
using RestSharp;

var client = new RestClient("https://api.megaport.com/v3/pricebook/vxc");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift VXC Price
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v3/pricebook/vxc")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```